> ## Documentation Index
> Fetch the complete documentation index at: https://checkly-422f444a-mintlify-f27640bd.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List all available reporting metrics.

> List all available reporting metrics.



## OpenAPI

````yaml get /v1/analytics/metrics
openapi: 3.0.0
info:
  title: Checkly Public API
  version: v1
  description: >-
    These are the docs for the newly released Checkly Public API. If you have
    any questions, please do not hesitate to get in touch with us.
servers:
  - url: https://api.checklyhq.com
security:
  - Bearer: []
tags: []
paths:
  /v1/analytics/metrics:
    get:
      tags:
        - Analytics
      summary: List all available reporting metrics.
      description: List all available reporting metrics.
      operationId: getV1AnalyticsMetrics
      parameters:
        - schema:
            type: string
            enum:
              - AGENTIC
              - API
              - BROWSER
              - HEARTBEAT
              - ICMP
              - MULTI_STEP
              - TCP
              - PLAYWRIGHT
              - TRACEROUTE
              - URL
              - DNS
              - SSL
              - GRPC
          required: true
          name: checkType
          in: query
        - schema:
            type: string
            format: uuid
            description: >-
              Your Checkly account ID, you can find it at
              https://app.checklyhq.com/settings/account/general
          required: false
          description: >-
            Your Checkly account ID, you can find it at
            https://app.checklyhq.com/settings/account/general
          name: x-checkly-account
          in: header
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AnalyticsMetricsResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
components:
  schemas:
    AnalyticsMetricsResponse:
      type: array
      items:
        $ref: '#/components/schemas/AnalyticsMetricDescriptor'
    ApiError:
      type: object
      properties:
        statusCode:
          type: number
        error:
          type: string
        message:
          type: string
      required:
        - statusCode
        - error
        - message
    AnalyticsMetricDescriptor:
      type: object
      properties:
        name:
          type: string
        unit:
          type: string
          enum:
            - milliseconds
            - score
            - count
            - percentage
        label:
          type: string
        type:
          type: string
          enum:
            - Array
            - Int
            - Integer
            - Float
            - String
        aggregated:
          type: boolean
      required:
        - name
        - unit
        - label
        - aggregated
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: Bearer
      description: >-
        The Checkly Public API uses API keys to authenticate requests. You can
        get the API Key
        [here](https://app.checklyhq.com/settings/user/api-keys). Your API key
        is like a password: keep it secure!

        Authentication to the API is performed using the Bearer auth method in
        the Authorization header and using the account ID.

        For example, set **Authorization** header while using cURL: `curl -H
        "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"` 

````